---
document: modulemd
version: 2
data:
  name: python38
  stream: "3.8"
  version: 8060020220421093957
  context: 34b68433
  arch: aarch64
  summary: Python programming language, version 3.8
  description: >-
    This module gives users access to the internal Python 3.8 in RHEL8, as

    well as provides some additional Python packages the users might need.

    In addition to these you can install any python3-* package available

    in RHEL and use it with Python from this module.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      httpd: [2.4]
      platform: [el8]
      python38: [3.8-bootstrap]
      swig: [3.0]
    requires:
      platform: [el8]
  references:
    community: https://www.python.org/
    documentation: https://docs.python.org/3.8/
  profiles:
    build:
      rpms:
      - python38
      - python38-devel
      - python38-rpm-macros
    common:
      rpms:
      - python38
  api:
    rpms:
    - python38
    - python38-Cython
    - python38-PyMySQL
    - python38-asn1crypto
    - python38-babel
    - python38-cffi
    - python38-chardet
    - python38-cryptography
    - python38-devel
    - python38-idle
    - python38-idna
    - python38-jinja2
    - python38-libs
    - python38-lxml
    - python38-markupsafe
    - python38-mod_wsgi
    - python38-numpy
    - python38-numpy-f2py
    - python38-pip
    - python38-pip-wheel
    - python38-ply
    - python38-psutil
    - python38-psycopg2
    - python38-pycparser
    - python38-pysocks
    - python38-pytz
    - python38-pyyaml
    - python38-requests
    - python38-rpm-macros
    - python38-scipy
    - python38-setuptools
    - python38-setuptools-wheel
    - python38-six
    - python38-test
    - python38-tkinter
    - python38-urllib3
    - python38-wheel
    - python38-wheel-wheel
  filter:
    rpms:
    - python38-atomicwrites
    - python38-attrs
    - python38-more-itertools
    - python38-packaging
    - python38-pluggy
    - python38-py
    - python38-pyparsing
    - python38-pytest
    - python38-wcwidth
  buildopts:
    rpms:
      macros: >
        # === Bootstrap phase 3/4 ===

        #

        %python3_pkgversion 38

        %_without_python2 1

        # py, pyparsing, atomicwrites, packaging, pytest

        %_without_docs 1
  components:
    rpms:
      Cython:
        rationale: Python component
        ref: db38f8a0ec5b3a70c737f7f706d119e41bc0da66
        arches: [aarch64, i686, ppc64le, x86_64]
      PyYAML:
        rationale: Python component
        ref: 637912ad8c1ac83e547fcc15e30dc208b4e5d4dc
        arches: [aarch64, i686, ppc64le, x86_64]
      babel:
        rationale: Python component
        ref: ccc06c3a6b5d1adc319f379d60fccf8e57e3e56a
        arches: [aarch64, i686, ppc64le, x86_64]
      mod_wsgi:
        rationale: Python component
        ref: bccaebd1742a530bb8bbbf7b342e6be411c8912d
        arches: [aarch64, i686, ppc64le, x86_64]
      numpy:
        rationale: Python component
        ref: 9991b9b2bec635b8af05b96d6600d35fe8d09b5d
        arches: [aarch64, i686, ppc64le, x86_64]
      pytest:
        rationale: Python component
        ref: a9ddeb555d318f2dc9b223c005a3184dcd692530
        arches: [aarch64, i686, ppc64le, x86_64]
      python-PyMySQL:
        rationale: Python component
        ref: 2ccefe759a8369f1c6a10805fdced84a49d6f896
        arches: [aarch64, i686, ppc64le, x86_64]
      python-asn1crypto:
        rationale: Python component
        ref: c41e9b9b5c1ce7972ed607dccb8740066ef2f009
        arches: [aarch64, i686, ppc64le, x86_64]
      python-atomicwrites:
        rationale: Python component
        ref: ed9f1323453bcc92861024e01ee02f688fe52821
        arches: [aarch64, i686, ppc64le, x86_64]
      python-attrs:
        rationale: Python component
        ref: 2f1a5d592e7342d025f585c714fa3cee5991847b
        arches: [aarch64, i686, ppc64le, x86_64]
      python-cffi:
        rationale: Python component
        ref: c0f5a7448b54e10229f2986c27d2b3bb69693a23
        arches: [aarch64, i686, ppc64le, x86_64]
      python-chardet:
        rationale: Python component
        ref: f86ea9a1192eee7fc5543103a20dc799c47f7ec2
        arches: [aarch64, i686, ppc64le, x86_64]
      python-cryptography:
        rationale: Python component
        ref: 24296686cd6cab4278b7da4b12309c0e597e0ab2
        arches: [aarch64, i686, ppc64le, x86_64]
      python-idna:
        rationale: Python component
        ref: 43933b9635752fcc561384807d01c037ae0b1830
        arches: [aarch64, i686, ppc64le, x86_64]
      python-jinja2:
        rationale: Python component
        ref: ededd8e590ea35e6f67f64aece2572283e17bae4
        arches: [aarch64, i686, ppc64le, x86_64]
      python-lxml:
        rationale: Python component
        ref: fc1d092fd5b552b087295388877f979a406657be
        arches: [aarch64, i686, ppc64le, x86_64]
      python-markupsafe:
        rationale: Python component
        ref: 0376938857b27c206f1009022376695235d652c8
        arches: [aarch64, i686, ppc64le, x86_64]
      python-more-itertools:
        rationale: Python component
        ref: f9210d755cd0ddb3d82915c0ab8811acd7823f41
        arches: [aarch64, i686, ppc64le, x86_64]
      python-packaging:
        rationale: Python component
        ref: 008e0a8c163c747229f277a81eb008321c175054
        arches: [aarch64, i686, ppc64le, x86_64]
      python-pluggy:
        rationale: Python component
        ref: b4323dd0277418f2c53d029c884ef0243ce00101
        arches: [aarch64, i686, ppc64le, x86_64]
      python-ply:
        rationale: Python component
        ref: 3003e7cd472540c7bcb04cba0ecd93fe5b938b61
        arches: [aarch64, i686, ppc64le, x86_64]
      python-psutil:
        rationale: Python component
        ref: 375fe1d7a541a2ce857e311dd126ab97312c435d
        arches: [aarch64, i686, ppc64le, x86_64]
      python-psycopg2:
        rationale: Python component
        ref: b3cdff8eca4daf942e38fe58639354f56586a3e5
        arches: [aarch64, i686, ppc64le, x86_64]
      python-py:
        rationale: Python component
        ref: e5d06606e24347f76ee699d407d28ab04e89fbe9
        arches: [aarch64, i686, ppc64le, x86_64]
      python-pycparser:
        rationale: Python component
        ref: b14656f2edcede20b198def4a1fae0f2db7266ca
        arches: [aarch64, i686, ppc64le, x86_64]
      python-pysocks:
        rationale: Python component
        ref: 97a973800aed1a25af2d17948b65ed88969d0c06
        arches: [aarch64, i686, ppc64le, x86_64]
      python-requests:
        rationale: Python component
        ref: 6a37c89f82fa6d8f127290cc7fd7abcf211ec236
        arches: [aarch64, i686, ppc64le, x86_64]
      python-urllib3:
        rationale: Python component
        ref: c475ff8902ff263225da81cea505045cb36c7c23
        arches: [aarch64, i686, ppc64le, x86_64]
      python-wcwidth:
        rationale: Python component
        ref: d7664401a65e86eb8f2a8e704fc61f1ab12800b2
        arches: [aarch64, i686, ppc64le, x86_64]
      python-wheel:
        rationale: Packaging tool
        ref: 3453f7d6bbb9201df3db25f6ca91c63150cb8230
        arches: [aarch64, i686, ppc64le, x86_64]
      python38:
        rationale: The main Python interpreter
        ref: 3197658843e1b30ef2f7831aab81e6b68f63c15d
        arches: [aarch64, i686, ppc64le, x86_64]
      python3x-pip:
        rationale: Packaging tool
        ref: be6eadcf70d061adb7181d3e8db18a90696664f4
        arches: [aarch64, i686, ppc64le, x86_64]
      python3x-pyparsing:
        rationale: Python component
        ref: c26ecb6f0f764de4c2a2ad4c69d3c5d0c792216e
        arches: [aarch64, i686, ppc64le, x86_64]
      python3x-setuptools:
        rationale: Packaging tool
        ref: a3a11e981e9859648dc142e1d933dfd7d602746c
        arches: [aarch64, i686, ppc64le, x86_64]
      python3x-six:
        rationale: Python component
        ref: 74a11d497cec7d50e6e86f06940a189aa67f0e35
        arches: [aarch64, i686, ppc64le, x86_64]
      pytz:
        rationale: Python component
        ref: 97e044f6bd064f7ebb1d1b8289b1ce785040b392
        arches: [aarch64, i686, ppc64le, x86_64]
      scipy:
        rationale: Python component
        ref: db84e168e7dc0ea6b5f74f8e3307d6a30eac2f55
        arches: [aarch64, i686, ppc64le, x86_64]
...
---
document: modulemd
version: 2
data:
  name: python38-devel
  stream: "3.8"
  version: 8060020220421093957
  context: 34b68433
  arch: aarch64
  summary: Python programming language, version 3.8
  description: >-
    This module gives users access to the internal Python 3.8 in RHEL8, as

    well as provides some additional Python packages the users might need.

    In addition to these you can install any python3-* package available

    in RHEL and use it with Python from this module.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      httpd: [2.4]
      platform: [el8]
      python38: [3.8-bootstrap]
      swig: [3.0]
    requires:
      platform: [el8]
  references:
    community: https://www.python.org/
    documentation: https://docs.python.org/3.8/
  profiles:
    build:
      rpms:
      - python38
      - python38-devel
      - python38-rpm-macros
    common:
      rpms:
      - python38
  api:
    rpms:
    - python38
    - python38-Cython
    - python38-PyMySQL
    - python38-asn1crypto
    - python38-babel
    - python38-cffi
    - python38-chardet
    - python38-cryptography
    - python38-devel
    - python38-idle
    - python38-idna
    - python38-jinja2
    - python38-libs
    - python38-lxml
    - python38-markupsafe
    - python38-mod_wsgi
    - python38-numpy
    - python38-numpy-f2py
    - python38-pip
    - python38-pip-wheel
    - python38-ply
    - python38-psutil
    - python38-psycopg2
    - python38-pycparser
    - python38-pysocks
    - python38-pytz
    - python38-pyyaml
    - python38-requests
    - python38-rpm-macros
    - python38-scipy
    - python38-setuptools
    - python38-setuptools-wheel
    - python38-six
    - python38-test
    - python38-tkinter
    - python38-urllib3
    - python38-wheel
    - python38-wheel-wheel
  filter:
    rpms:
    - python38-atomicwrites
    - python38-attrs
    - python38-more-itertools
    - python38-packaging
    - python38-pluggy
    - python38-py
    - python38-pyparsing
    - python38-pytest
    - python38-wcwidth
  buildopts:
    rpms:
      macros: >
        # === Bootstrap phase 3/4 ===

        #

        %python3_pkgversion 38

        %_without_python2 1

        # py, pyparsing, atomicwrites, packaging, pytest

        %_without_docs 1
  components:
    rpms:
      Cython:
        rationale: Python component
        ref: db38f8a0ec5b3a70c737f7f706d119e41bc0da66
        arches: [aarch64, i686, ppc64le, x86_64]
      PyYAML:
        rationale: Python component
        ref: 637912ad8c1ac83e547fcc15e30dc208b4e5d4dc
        arches: [aarch64, i686, ppc64le, x86_64]
      babel:
        rationale: Python component
        ref: ccc06c3a6b5d1adc319f379d60fccf8e57e3e56a
        arches: [aarch64, i686, ppc64le, x86_64]
      mod_wsgi:
        rationale: Python component
        ref: bccaebd1742a530bb8bbbf7b342e6be411c8912d
        arches: [aarch64, i686, ppc64le, x86_64]
      numpy:
        rationale: Python component
        ref: 9991b9b2bec635b8af05b96d6600d35fe8d09b5d
        arches: [aarch64, i686, ppc64le, x86_64]
      pytest:
        rationale: Python component
        ref: a9ddeb555d318f2dc9b223c005a3184dcd692530
        arches: [aarch64, i686, ppc64le, x86_64]
      python-PyMySQL:
        rationale: Python component
        ref: 2ccefe759a8369f1c6a10805fdced84a49d6f896
        arches: [aarch64, i686, ppc64le, x86_64]
      python-asn1crypto:
        rationale: Python component
        ref: c41e9b9b5c1ce7972ed607dccb8740066ef2f009
        arches: [aarch64, i686, ppc64le, x86_64]
      python-atomicwrites:
        rationale: Python component
        ref: ed9f1323453bcc92861024e01ee02f688fe52821
        arches: [aarch64, i686, ppc64le, x86_64]
      python-attrs:
        rationale: Python component
        ref: 2f1a5d592e7342d025f585c714fa3cee5991847b
        arches: [aarch64, i686, ppc64le, x86_64]
      python-cffi:
        rationale: Python component
        ref: c0f5a7448b54e10229f2986c27d2b3bb69693a23
        arches: [aarch64, i686, ppc64le, x86_64]
      python-chardet:
        rationale: Python component
        ref: f86ea9a1192eee7fc5543103a20dc799c47f7ec2
        arches: [aarch64, i686, ppc64le, x86_64]
      python-cryptography:
        rationale: Python component
        ref: 24296686cd6cab4278b7da4b12309c0e597e0ab2
        arches: [aarch64, i686, ppc64le, x86_64]
      python-idna:
        rationale: Python component
        ref: 43933b9635752fcc561384807d01c037ae0b1830
        arches: [aarch64, i686, ppc64le, x86_64]
      python-jinja2:
        rationale: Python component
        ref: ededd8e590ea35e6f67f64aece2572283e17bae4
        arches: [aarch64, i686, ppc64le, x86_64]
      python-lxml:
        rationale: Python component
        ref: fc1d092fd5b552b087295388877f979a406657be
        arches: [aarch64, i686, ppc64le, x86_64]
      python-markupsafe:
        rationale: Python component
        ref: 0376938857b27c206f1009022376695235d652c8
        arches: [aarch64, i686, ppc64le, x86_64]
      python-more-itertools:
        rationale: Python component
        ref: f9210d755cd0ddb3d82915c0ab8811acd7823f41
        arches: [aarch64, i686, ppc64le, x86_64]
      python-packaging:
        rationale: Python component
        ref: 008e0a8c163c747229f277a81eb008321c175054
        arches: [aarch64, i686, ppc64le, x86_64]
      python-pluggy:
        rationale: Python component
        ref: b4323dd0277418f2c53d029c884ef0243ce00101
        arches: [aarch64, i686, ppc64le, x86_64]
      python-ply:
        rationale: Python component
        ref: 3003e7cd472540c7bcb04cba0ecd93fe5b938b61
        arches: [aarch64, i686, ppc64le, x86_64]
      python-psutil:
        rationale: Python component
        ref: 375fe1d7a541a2ce857e311dd126ab97312c435d
        arches: [aarch64, i686, ppc64le, x86_64]
      python-psycopg2:
        rationale: Python component
        ref: b3cdff8eca4daf942e38fe58639354f56586a3e5
        arches: [aarch64, i686, ppc64le, x86_64]
      python-py:
        rationale: Python component
        ref: e5d06606e24347f76ee699d407d28ab04e89fbe9
        arches: [aarch64, i686, ppc64le, x86_64]
      python-pycparser:
        rationale: Python component
        ref: b14656f2edcede20b198def4a1fae0f2db7266ca
        arches: [aarch64, i686, ppc64le, x86_64]
      python-pysocks:
        rationale: Python component
        ref: 97a973800aed1a25af2d17948b65ed88969d0c06
        arches: [aarch64, i686, ppc64le, x86_64]
      python-requests:
        rationale: Python component
        ref: 6a37c89f82fa6d8f127290cc7fd7abcf211ec236
        arches: [aarch64, i686, ppc64le, x86_64]
      python-urllib3:
        rationale: Python component
        ref: c475ff8902ff263225da81cea505045cb36c7c23
        arches: [aarch64, i686, ppc64le, x86_64]
      python-wcwidth:
        rationale: Python component
        ref: d7664401a65e86eb8f2a8e704fc61f1ab12800b2
        arches: [aarch64, i686, ppc64le, x86_64]
      python-wheel:
        rationale: Packaging tool
        ref: 3453f7d6bbb9201df3db25f6ca91c63150cb8230
        arches: [aarch64, i686, ppc64le, x86_64]
      python38:
        rationale: The main Python interpreter
        ref: 3197658843e1b30ef2f7831aab81e6b68f63c15d
        arches: [aarch64, i686, ppc64le, x86_64]
      python3x-pip:
        rationale: Packaging tool
        ref: be6eadcf70d061adb7181d3e8db18a90696664f4
        arches: [aarch64, i686, ppc64le, x86_64]
      python3x-pyparsing:
        rationale: Python component
        ref: c26ecb6f0f764de4c2a2ad4c69d3c5d0c792216e
        arches: [aarch64, i686, ppc64le, x86_64]
      python3x-setuptools:
        rationale: Packaging tool
        ref: a3a11e981e9859648dc142e1d933dfd7d602746c
        arches: [aarch64, i686, ppc64le, x86_64]
      python3x-six:
        rationale: Python component
        ref: 74a11d497cec7d50e6e86f06940a189aa67f0e35
        arches: [aarch64, i686, ppc64le, x86_64]
      pytz:
        rationale: Python component
        ref: 97e044f6bd064f7ebb1d1b8289b1ce785040b392
        arches: [aarch64, i686, ppc64le, x86_64]
      scipy:
        rationale: Python component
        ref: db84e168e7dc0ea6b5f74f8e3307d6a30eac2f55
        arches: [aarch64, i686, ppc64le, x86_64]
...
